#
# spec file for package atk (Version 1.10.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtkdoc gzip info insserv intltool iso_ent klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libnscd libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl pam pam-modules patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           atk
BuildRequires:  gcc-c++ glib2-devel gtkdoc intltool perl-XML-Parser sgml-skel xorg-x11-devel
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
Summary:        An Accessibility ToolKit
Version:        1.10.3
Release:        15.2
License:        LGPL
Group:          System/Libraries
Source:         ftp://ftp.gnome.org/pub/gnome/sources/atk/1.6/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.gtk.org/

%description
The ATK library provides a set of accessibility interfaces. By
supporting the ATK interfaces, an application or toolkit can be used
with screen readers, magnifiers, and alternate input devices.



Authors:
--------
    Bill.Haneman <bill.haneman@sun.com>
    Marc.Mulcahy <marc.mulcahy@sun.com>
    Padraig.Obriain <padraig.obriain@sun.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Requires:       %{name} = %{version}
Requires:       glib2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Bill.Haneman <bill.haneman@sun.com>
    Marc.Mulcahy <marc.mulcahy@sun.com>
    Padraig.Obriain <padraig.obriain@sun.com>

%package doc
Summary:        Additional Package Documentation.
Group:          System/Libraries
Requires:       %{name} = %{version}
Requires:       gnome-filesystem

%description doc
The ATK Library provides a set of interfaces for accessibility. By
supporting the ATK interfaces, an application or toolkit can be used
with screen readers, magnifiers, and alternate input devices.



Authors:
--------
    Bill.Haneman <bill.haneman@sun.com>
    Marc.Mulcahy <marc.mulcahy@sun.com>
    Padraig.Obriain <padraig.obriain@sun.com>

%prep
%setup -q

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
    --localstatedir=/var%{prefix} --libdir=%{prefix}/%_lib \
    --sysconfdir=%{sysconfdir} --enable-gtk-doc 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang atk10

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %files -f atk10.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/%{_lib}/lib*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/%{_lib}/lib*.so
%{prefix}/%{_lib}/lib*.*a
%{prefix}/%{_lib}/pkgconfig/*.pc
%{prefix}/include/atk-1.0

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/atk

%changelog -n atk
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 05 2005 - gekker@suse.de
- Update to version 1.10.3
* Mon Sep 05 2005 - gekker@suse.de
- Update to version 1.10.2 (GNOME 2.12)
- Enable gtk-doc
* Tue Jun 07 2005 - gekker@suse.de
- Update to version 1.10.1.
* Tue Mar 08 2005 - gekker@suse.de
- Update to version 1.9.1 (GNOME 2.10).
* Wed Dec 15 2004 - gekker@suse.de
-Update to 1.9.0
* Fri Nov 19 2004 - gekker@suse.de
- Update to 1.8.0
* Tue Oct 26 2004 - ro@suse.de
- locale rename: no -> nb
* Wed Aug 25 2004 - kukuk@suse.de
- Avoid /bin/sh as PreRequire
* Thu Apr 15 2004 - sbrabec@suse.cz
- Updated to version 1.6.0 (GNOME 2.6).
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Oct 15 2003 - ro@suse.de
- added c++ to neededforbuild
* Fri Oct 10 2003 - sbrabec@suse.cz
- Updated to version 1.4.1.
* Mon Oct 06 2003 - kukuk@suse.de
- Don't regenerate configure script new
* Fri Sep 26 2003 - sbrabec@suse.cz
- Updated to version 1.4.0 (GNOME 2.4).
* Fri Aug 15 2003 - sbrabec@suse.cz
- Archive repacked to prevent high-UID failures.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 12 2003 - sbrabec@suse.cz
- Updated to version 1.2.4.
- Require gnome-filesystem for atk-doc.
* Thu May 22 2003 - sbrabec@suse.cz
- Require glib2-devel for atk-devel.
* Mon Feb 24 2003 - sbrabec@suse.cz
- Repacked atk-1.2.2.tar.bz2 (high UID and breaks Autobuild).
* Wed Jan 29 2003 - hhetter@suse.de
- updated to version 1.2.2
* Thu Jan 09 2003 - sbrabec@suse.cz
- Updated to version 1.2.1.
- Updated %%files.
* Thu Aug 15 2002 - hhetter@suse.de
- branch atk-doc
* Mon Aug 05 2002 - hhetter@suse.de
- updated to version 1.0.3, bugfix release for stable
  series + documentation updates
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.0.2, bugfix release for stable
  series
* Wed May 15 2002 - ro@suse.de
- fix libdir usage
* Tue Apr 30 2002 - sf@suse.de
- changed filelist form */lib to */%%{_lib} to build on bilib archs
* Mon Apr 08 2002 - hhetter@suse.de
- updated to version 1.0.1
* Thu Jan 31 2002 - hhetter@suse.de
- updated to version 0.10 [gnome desktop alpha2]
* Fri Jan 11 2002 - hhetter@suse.de
- updated to version 0.8
  * new functions
  * numerous bugfixes
* Tue Nov 27 2001 - hhetter@suse.de
- updated to version 0.7, changes include:
  * Some restructuring of how change notification works, use
  signals not properties in some cases.
  * Various small API fixes and improvements
  * Add key event hooks
  * Documentation improvements
* Wed Nov 21 2001 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform (atk0.6)
- changed link order to build test libraries
